import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { EmployeeHttpService } from 'app/services/employee/employee-http.service';

@Component({
  selector: 'app-employee-tab-menu',
  templateUrl: './employee-tab-menu.component.html',
  styleUrls: ['./employee-tab-menu.component.scss']
})
export class EmployeeTabMenuComponent implements OnInit {

  @Input() projectDetailsInfo;
  @Input() projectDetailsInfoByUser;
  isList: boolean;
  @Output() viewProjectDetail = new EventEmitter();
  constructor(private employeeService: EmployeeHttpService) {
    this.isList = false;
  }

  ngOnInit() {
   this.isList = false;
  }
  showView(event) {
    this.isList = event;
  }
  showPrjDetail(event) {
  this.viewProjectDetail.emit({val: event.val, project: event.project});
  }
}
